Create one certifying agency
post
/fscmRestApi/resources/11.13.18.05/certifyingAgencies
Request
Header Parameters
-
Metadata-Context: string
If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
-
REST-Framework-Version: string
The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
-
Upsert-Mode: string
Contains one of the following values: true or false. If true, the server performs an Upsert operation instead of a Create operation. During an Upsert operation, the server attempts to find an existing resource that matches the payload. If a match is found, the server updates the existing resource instead of creating a new one. If not found or false (default), the server performs a Create operation. Note that the Upsert operation isn't supported for date-effective REST resources.
Supported Media Types
- application/json
Root Schema : schema
Type:
Show Source
object-
businessClassifications: array
Business Classifications
Title:
Business ClassificationsBusiness classifications issued by certifying agencies. -
CertifyingAgency: string
Title:
Certifying AgencyMaximum Length:255Name of the authorized organization that issues business classification certifications. -
CertifyingAgencyDescription: string
Title:
DescriptionMaximum Length:1000Brief description of the certifying agency. -
EndDate: string
(date)
Title:
End DateEnd date after which the certifying agency will be inactive.
Nested Schema : Business Classifications
Type:
arrayTitle:
Business ClassificationsBusiness classifications issued by certifying agencies.
Show Source
Nested Schema : certifyingAgencies-businessClassifications-item-post-request
Type:
Show Source
object-
BusinessClassificationCode: string
Maximum Length:
30Abbreviation that identifies the business classification.
Response
Supported Media Types
- application/json
Default Response
The following table describes the default response for this task.
Headers
-
Metadata-Context:
If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
-
REST-Framework-Version:
The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
Root Schema : certifyingAgencies-item-response
Type:
Show Source
object-
businessClassifications: array
Business Classifications
Title:
Business ClassificationsBusiness classifications issued by certifying agencies. -
CertifyingAgency: string
Title:
Certifying AgencyMaximum Length:255Name of the authorized organization that issues business classification certifications. -
CertifyingAgencyDescription: string
Title:
DescriptionMaximum Length:1000Brief description of the certifying agency. -
CertifyingAgencyId: integer
(int64)
Read Only:
trueUnique identifier of the certifying agency. -
CreatedBy: string
Read Only:
trueMaximum Length:64User who created the certifying agency. -
CreationDate: string
(date-time)
Read Only:
trueDate and time when the certifying agency was created. -
EndDate: string
(date)
Title:
End DateEnd date after which the certifying agency will be inactive. -
LastUpdateDate: string
(date-time)
Read Only:
trueDate and time when the certifying agency was most recently updated. -
LastUpdatedBy: string
Read Only:
trueMaximum Length:64User who most recently updated the certifying agency. -
links: array
Links
Title:
LinksThe link relations associated with the resource instance.
Nested Schema : Business Classifications
Type:
arrayTitle:
Business ClassificationsBusiness classifications issued by certifying agencies.
Show Source
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : certifyingAgencies-businessClassifications-item-response
Type:
Show Source
object-
BusinessClassification: string
Title:
ClassificationRead Only:trueMaximum Length:80Name of the business classification. -
BusinessClassificationCode: string
Maximum Length:
30Abbreviation that identifies the business classification. -
BusinessClassificationDescription: string
Title:
DescriptionRead Only:trueMaximum Length:240Brief description of the business classification. -
BusinessClassificationId: integer
(int64)
Read Only:
trueUnique identifier of the business classification. -
CertifyingAgencyId: integer
(int64)
Read Only:
trueUnique identifier of the certifying agency. -
CreatedBy: string
Read Only:
trueMaximum Length:64User who created the business classification. -
CreationDate: string
(date-time)
Read Only:
trueDate and time when the business classification was created. -
LastUpdateDate: string
(date-time)
Read Only:
trueDate and time when the business classification was most recently updated. -
LastUpdatedBy: string
Read Only:
trueMaximum Length:64User who most recently updated the business classification. -
links: array
Links
Title:
LinksThe link relations associated with the resource instance.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : link
Type:
Show Source
object-
href: string
Title:
hyperlink referenceThe URI to the related resource. -
kind: string
Title:
kindAllowed Values:[ "collection", "item", "describe", "other" ]The kind of the related resource. -
name: string
Title:
nameThe name of the link to the related resource. -
properties: object
properties
-
rel: string
Title:
relationAllowed Values:[ "self", "lov", "parent", "canonical", "child", "enclosure", "action", "custom" ]The name of the relation to the resource instance. Example: self.
Nested Schema : properties
Type:
Show Source
object-
changeIndicator: string
Change indicator or the ETag value of the resource instance.
Links
- businessClassifications
-
Parameters:
- CertifyingAgencyId:
$request.path.CertifyingAgencyId
Business classifications issued by certifying agencies. - CertifyingAgencyId:
Examples
This example describes how to create one certifying agency.
Example cURL Command
Use the following cURL command to submit a request on the REST resource.
curl -u username:password -X POST -H "Content-Type:application/vnd.oracle.adf.resourceitem+json" -d '{ "CertifyingAgency": "TEST-AGENCY-*123*", "CertifyingAgencyDescription": null, "businessClassifications": [ { "BusinessClassificationCode": "MINORITY_OWNED" }, { "BusinessClassificationCode": "SMALL_BUSINESS" } ] }' "https://servername/fscmRestApi/resources/version/certifyingAgencies"
For example:
curl -u username:password -X POST -H "Content-Type:application/vnd.oracle.adf.resourceitem+json" -d '{ "CertifyingAgency": "TEST-AGENCY-*123*", "CertifyingAgencyDescription": null, "businessClassifications": [ { "BusinessClassificationCode": "MINORITY_OWNED" }, { "BusinessClassificationCode": "SMALL_BUSINESS" } ] }' "https://servername/fscmRestApi/resources/version/certifyingAgencies"
Example Request Body
The following example includes the contents of the request body in JSON format. You replace the request payload in the cURL command with the contents of the Example Request Body. The request payload specifies attribute values that the command will use in the record that it updates.
{
"CertifyingAgency": "TEST-AGENCY-*123*",
"CertifyingAgencyDescription": null,
"businessClassifications": [
{
"BusinessClassificationCode": "MINORITY_OWNED"
},
{
"BusinessClassificationCode": "SMALL_BUSINESS"
}
]
}
Example Response Body
The following example includes the contents of the response body in JSON format:
{
"CertifyingAgencyId": "11207",
"CertifyingAgency": "TEST-AGENCY-*123*",
"CertifyingAgencyDescription": null,
"EndDate": null,
"CreatedBy": "FUSION",
"CreationDate": "2026-07-24T11:40:51+05:30",
"LastUpdatedBy": "FUSION",
"LastUpdateDate": "2026-07-24T11:40:51.061+05:30",
"businessClassifications": {
"items": [
{
"CertifyingAgencyId": "11207",
"BusinessClassificationId": "300100650831598",
"BusinessClassificationCode": "MINORITY_OWNED",
"CreatedBy": "FUSION",
"LastUpdatedBy": "FUSION"
},
{
"CertifyingAgencyId": "11207",
"BusinessClassificationId": "300100650831599",
"BusinessClassificationCode": "SMALL_BUSINESS",
"CreatedBy": "FUSION",
"LastUpdatedBy": "FUSION"
}
],
"count": 2,
"hasMore": false,
"limit": 25,
"offset": 0
}
}